Межсайтовый скриптинг в WebCalendar

Дата публикации:
09.02.2010
Всего просмотров:
1098
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WebCalendar 1.x
Уязвимые версии: WebCalendar 1.2.0, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "tab" в сценарии users.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в URL в сценариях day.php, month.php и week.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение и удалить событие, заблокировать IP адрес для публикации сообщений и изменить пароль администратора приложения.

URL производителя: www.k5n.us/webcalendar.php

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://holisticinfosec.org/content/view/133/45/

или введите имя

CAPTCHA